## btrfs-progs 5.4.1

=== debian/changelog ===
btrfs-progs (5.4.1-2) unstable; urgency=medium

  * Declare Breaks: on versions of libgcc-s1 that produce bad initramfs.
    Closes: #950556.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 15 Feb 2020 16:52:17 +0100

btrfs-progs (5.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Jan 2020 17:51:50 +0100

btrfs-progs (5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 Dec 2019 19:16:40 +0100

btrfs-progs (5.3.1-1) unstable; urgency=medium

  * New upstream point release.
  * Update symbols -- they're versioned upstream now.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 03 Nov 2019 00:37:33 +0100

btrfs-progs (5.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with new asciidoctor.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 21 Oct 2019 18:01:05 +0200
