## btrfs-progs 5.7

=== debian/changelog ===
btrfs-progs (5.7-1) unstable; urgency=medium

  * New upstream release.
  * Hardcode dependency on modern libgcc-s1 + breaks: old initramfs-tools,
    to avoid extra moving parts.
  * Don't declare initramfs trigger ourselves (done by dh_installinitramfs).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 06 Jul 2020 01:07:42 +0200

btrfs-progs (5.6-1) unstable; urgency=medium

  * New upstream release.
  * Versioned symbols.
  * Slightly improve long descs.
  * Drop old -dbgsym migration.
  * Don't skip scan if modprobe fails (eg. due to built-in).
    Closes: #956174.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Apr 2020 00:59:59 +0200
