=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
@@ -27,11 +27,12 @@
 Package: btrfs-progs
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: btrbk (<= 0.25.0), libgcc-s1 (<< 10-20200211)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgcc-s1 (>> 10-20200211)
+# backports will want the Breaks:libcc-s1 below
+Breaks: btrbk (<= 0.25.0), libgcc-s1 (<< 10-20200211), initramfs-tools (<< 0.137~)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
@@ -46,7 +47,7 @@
 Replaces: btrfs-progs (<< 4.16.1-1)
 Breaks: btrfs-progs (<< 4.16.1-1)
 Description: Checksumming Copy on Write Filesystem utilities (runtime library)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
@@ -60,7 +61,7 @@
 Replaces: btrfs-progs (<< 4.16.1-1)
 Breaks: btrfs-progs (<< 4.16.1-1)
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
@@ -71,8 +72,9 @@
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: python3-btrfsutil (<< 5.5)
 Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
@@ -84,7 +86,7 @@
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
