## btrfs-progs 5.10

=== debian/changelog ===
btrfs-progs (5.10-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 29 Jan 2021 18:36:33 -0500

btrfs-progs (5.10-1) unstable; urgency=medium

  * New upstream release.
  * Add libmount-dev to B-Deps.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Jan 2021 00:17:58 +0100

btrfs-progs (5.9-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 05 Nov 2020 16:18:31 -0500

btrfs-progs (5.9-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 23 Oct 2020 21:22:35 +0200

btrfs-progs (5.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Drop hardcoded dep on modern libgcc-s1, and breaks old initramfs-tools,
    because these are not applicable to the backport.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 28 Jul 2020 20:31:55 -0400

btrfs-progs (5.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 05 Jun 2020 11:27:24 -0400

btrfs-progs (5.2.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Restore Provides: btrfs-tools.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 27 Aug 2019 15:59:22 -0400
