=== debian/changelog ===
btrfs-progs (5.10.1-2) unstable; urgency=medium

  * Fix failure to add new devices via a devmapper path.  Closes: #982990

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 14 May 2021 02:52:17 +0200

btrfs-progs (5.10.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 06 Feb 2021 00:04:21 +0100
