=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
+               libmount-dev,
                libzstd-dev,
                uuid-dev,
                udev,
@@ -18,7 +19,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
