=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,6 @@
 	dh_install
 	dh_missing --list-missing
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='btrfs-progs (<< 4.11.1+dfsg-1~)'
-
 override_dh_auto_clean:
 	if test -f Makefile.inc; then \
 		dh_auto_clean; \
