## btrfs-progs 5.16.2

=== Makefile ===
--- 
+++ 
@@ -129,17 +129,9 @@
 LIBBTRFS_LIBS = $(LIBS_BASE) $(LIBS_CRYPTO)
 
 # Static compilation flags
-STATIC_CFLAGS = $(CFLAGS) -ffunction-sections -fdata-sections -DSTATICBUILD=1
+STATIC_CFLAGS = $(CFLAGS) -ffunction-sections -fdata-sections -DSTATIC_BUILD
 STATIC_LDFLAGS = -static -Wl,--gc-sections
 STATIC_LIBS = $(STATIC_LIBS_BASE)
-
-# Static build with libmount print some warnings due to usage of UID/GID
-# functions that require some glibc dynamic functionality at runtime.
-# The following can be ignored:
-# - mnt_get_gid using getgrnam_r
-# - mnt_get_uid using getpwnam_r
-# - mnt_get_username using getpwuid_r
-STATICWARNING = @echo "    NOTE: warnings about getgrnam_r/mnt_get_uid/... are harmless, building"
 
 # don't use FORTIFY with sparse because glibc with FORTIFY can
 # generate so many sparse errors that sparse stops parsing,
@@ -151,15 +143,61 @@
 	-D__CHECK_ENDIAN__ -Wbitwise -Wuninitialized -Wshadow -Wundef \
 	-U_FORTIFY_SOURCE -Wdeclaration-after-statement -Wdefault-bitfield-sign
 
-objects = kernel-shared/dir-item.o \
-	  qgroup.o kernel-lib/list_sort.o props.o \
-	  kernel-shared/ulist.o check/qgroup-verify.o kernel-shared/backref.o \
-	  common/string-table.o common/task-utils.o \
-	  kernel-shared/inode.o kernel-shared/file.o common/help.o cmds/receive-dump.o \
-	  common/fsfeatures.o \
-	  common/format-output.o \
-	  common/device-utils.o
-cmds_objects = cmds/subvolume.o cmds/filesystem.o cmds/device.o cmds/scrub.o \
+objects = \
+	kernel-lib/list_sort.o	\
+	kernel-lib/radix-tree.o	\
+	kernel-lib/raid56.o	\
+	kernel-lib/rbtree.o	\
+	kernel-lib/tables.o	\
+	kernel-shared/backref.o \
+	kernel-shared/ctree.o	\
+	kernel-shared/delayed-ref.o	\
+	kernel-shared/dir-item.o	\
+	kernel-shared/disk-io.o	\
+	kernel-shared/extent-tree.o	\
+	kernel-shared/extent_io.o	\
+	kernel-shared/file-item.o	\
+	kernel-shared/file.o	\
+	kernel-shared/free-space-cache.o	\
+	kernel-shared/free-space-tree.o	\
+	kernel-shared/inode-item.o	\
+	kernel-shared/inode.o	\
+	kernel-shared/print-tree.o	\
+	kernel-shared/root-tree.o	\
+	kernel-shared/transaction.o	\
+	kernel-shared/ulist.o	\
+	kernel-shared/uuid-tree.o	\
+	kernel-shared/volumes.o	\
+	kernel-shared/zoned.o	\
+	common/device-scan.o	\
+	common/device-utils.o	\
+	common/extent-cache.o	\
+	common/format-output.o	\
+	common/fsfeatures.o	\
+	common/help.o	\
+	common/messages.o	\
+	common/open-utils.o	\
+	common/parse-utils.o	\
+	common/path-utils.o	\
+	common/rbtree-utils.o	\
+	common/repair.o	\
+	common/send-stream.o	\
+	common/send-utils.o	\
+	common/string-table.o	\
+	common/task-utils.o \
+	common/units.o	\
+	common/utils.o	\
+	check/qgroup-verify.o	\
+	cmds/receive-dump.o	\
+	crypto/crc32c.o	\
+	crypto/hash.o	\
+	crypto/xxhash.o	\
+	$(CRYPTO_OBJECTS)	\
+	libbtrfsutil/stubs.o	\
+	libbtrfsutil/subvolume.o
+
+cmds_objects = cmds/subvolume.o cmds/subvolume-list.o \
+	       cmds/filesystem.o cmds/device.o cmds/scrub.o \
 	       cmds/inspect.o cmds/balance.o cmds/send.o cmds/receive.o \
 	       cmds/quota.o cmds/qgroup.o cmds/replace.o check/main.o \
 	       cmds/restore.o cmds/rescue.o cmds/rescue-chunk-recover.o \
@@ -167,26 +205,17 @@
 	       cmds/property.o cmds/filesystem-usage.o cmds/inspect-dump-tree.o \
 	       cmds/inspect-dump-super.o cmds/inspect-tree-stats.o cmds/filesystem-du.o \
 	       mkfs/common.o check/mode-common.o check/mode-lowmem.o
-libbtrfs_objects = common/send-stream.o common/send-utils.o kernel-lib/rbtree.o btrfs-list.o \
-		   kernel-lib/radix-tree.o common/extent-cache.o kernel-shared/extent_io.o \
-		   crypto/crc32c.o common/messages.o \
-		   kernel-shared/uuid-tree.o common/utils-lib.o common/rbtree-utils.o \
-		   kernel-shared/ctree.o kernel-shared/disk-io.o \
-		   kernel-shared/extent-tree.o kernel-shared/delayed-ref.o \
-		   kernel-shared/print-tree.o \
-		   kernel-shared/free-space-cache.o kernel-shared/root-tree.o \
-		   kernel-shared/volumes.o kernel-shared/transaction.o \
-		   kernel-shared/free-space-tree.o repair.o kernel-shared/inode-item.o \
-		   kernel-shared/file-item.o \
-		   kernel-lib/raid56.o kernel-lib/tables.o \
-		   common/device-scan.o common/path-utils.o \
-		   common/utils.o libbtrfsutil/subvolume.o libbtrfsutil/stubs.o \
-		   crypto/hash.o crypto/xxhash.o $(CRYPTO_OBJECTS)
-libbtrfs_headers = common/send-stream.h common/send-utils.h send.h kernel-lib/rbtree.h btrfs-list.h \
-	       crypto/crc32c.h kernel-lib/list.h kerncompat.h \
-	       kernel-lib/radix-tree.h kernel-lib/sizes.h kernel-lib/raid56.h \
+
+libbtrfs_objects = \
+		kernel-lib/rbtree.o	\
+		libbtrfs/send-stream.o	\
+		libbtrfs/send-utils.o	\
+		crypto/crc32c.o
+
+libbtrfs_headers = libbtrfs/send-stream.h libbtrfs/send-utils.h kernel-shared/send.h kernel-lib/rbtree.h \
+	       kernel-lib/list.h kerncompat.h \
 	       common/extent-cache.h kernel-shared/extent_io.h ioctl.h \
-	       kernel-shared/ctree.h btrfsck.h version.h
+	       kernel-shared/ctree.h version.h
 libbtrfsutil_major := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MAJOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
 libbtrfsutil_minor := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MINOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
 libbtrfsutil_patch := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_PATCH ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
@@ -195,13 +224,14 @@
 		       libbtrfsutil/subvolume.o libbtrfsutil/qgroup.o \
 		       libbtrfsutil/stubs.o
 convert_objects = convert/main.o convert/common.o convert/source-fs.o \
-		  convert/source-ext2.o convert/source-reiserfs.o
+		  convert/source-ext2.o convert/source-reiserfs.o \
+		  mkfs/common.o
 mkfs_objects = mkfs/main.o mkfs/common.o mkfs/rootdir.o
 image_objects = image/main.o image/sanitize.o
 all_objects = $(objects) $(cmds_objects) $(libbtrfs_objects) $(convert_objects) \
 	      $(mkfs_objects) $(image_objects) $(libbtrfsutil_objects)
 
-udev_rules = 64-btrfs-dm.rules
+udev_rules = 64-btrfs-dm.rules 64-btrfs-zoned.rules
 
 ifeq ("$(origin V)", "command line")
   BUILD_VERBOSE = $(V)
@@ -314,3 +344,8 @@
 
 CHECKER_FLAGS += $(btrfs_convert_cflags)
 
+# collect values of the variables above
+standalone_deps = $(foreach dep,$(patsubst %,%_objects,$(subst -,_,$(filter btrfs-%, $(progs)))),$($(dep)))
+
+SUBDIRS =
+BUILDDIRS = $(patsubst %,build-%,$(SUBDIRS))
