=== debian/changelog ===
btrfs-progs (5.16.2-1) unstable; urgency=medium

  * New upstream release.
    + Fix warning on deleting a subvolume as non-root (closes: #998840).
  * Drop pre-oldstable Breaks/Replaces.
  * Install udev rules in initramfs hook (closes: #1000961).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 Feb 2022 18:39:55 +0100

btrfs-progs (5.15.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 01 Dec 2021 00:29:38 +0100

btrfs-progs (5.15-1) unstable; urgency=medium

  * New upstream release.
  * Add B-Dep on libudev-dev.
  * Add Build-Depends-Package for libbtrfs.
  * Drop an unused pattern and license from the copyright file.
  * Enable hardening.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 07 Nov 2021 00:17:40 +0100

btrfs-progs (5.14.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 21 Sep 2021 21:06:14 +0200

btrfs-progs (5.14-1) unstable; urgency=medium

  * New upstream release.
  * Drop breaks on pre-Buster btrbk.
  * Delete symbols from libbtrfs except those used by snapper.  Per
    upstream, there's no soname bump.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 13 Sep 2021 07:17:40 +0200

btrfs-progs (5.13.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop handling of early-bullseye-unstable libgcc-s1.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 26 Aug 2021 17:21:52 +0200

btrfs-progs (5.13-1) experimental; urgency=medium

  * New upstream release.
  * Don't depend on libgcc-s1 on hppa.  Closes: #990324

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Jul 2021 15:19:33 +0200

btrfs-progs (5.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Mention relicensing of libbtrfsutil to LGPL in debian/copyright

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 14 May 2021 01:55:00 +0200

btrfs-progs (5.11.1-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 26 Mar 2021 08:12:36 +0100

btrfs-progs (5.11-1) experimental; urgency=medium

  * New upstream release.
  * Drop libmount-dev from B-Deps again.
  * Install libbtrfsutil.pc

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Mar 2021 00:05:00 +0100
