=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
-               libmount-dev,
+               libudev-dev,
                libzstd-dev,
                uuid-dev,
                udev,
@@ -19,7 +19,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
@@ -28,9 +28,8 @@
 Package: btrfs-progs
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgcc-s1 (>> 10-20200211)
-# backports will want the Breaks:libcc-s1 below
-Breaks: btrbk (<= 0.25.0), libgcc-s1 (<< 10-20200211), initramfs-tools (<< 0.137~)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libgcc-s1 (<< 10-20200211), initramfs-tools (<< 0.137~)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a copy on write filesystem for Linux aimed at implementing
@@ -45,8 +44,6 @@
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: btrfs-progs (<< 4.16.1-1)
-Breaks: btrfs-progs (<< 4.16.1-1)
 Description: Checksumming Copy on Write Filesystem utilities (runtime library)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -59,8 +56,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
-Replaces: btrfs-progs (<< 4.16.1-1)
-Breaks: btrfs-progs (<< 4.16.1-1)
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
