=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/architecture.mk
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -9,8 +10,9 @@
 
 SHELL := sh -e
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh ${@} --with bash-completion,python3
