## btrfs-progs 5.16.2-1+11.0trisquel1

=== debian/changelog ===
btrfs-progs (5.16.2-1+11.0trisquel1) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:04:25 +0000
