=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13),
                e2fslibs-dev,
                pkg-config,
