## btrfs-progs 5.19

=== debian/changelog ===
btrfs-progs (5.19-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 16 Aug 2022 16:29:29 +0200

btrfs-progs (5.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Jun 2022 19:13:14 +0200

btrfs-progs (5.18-1) unstable; urgency=medium

  * New upstream release.
  * Drop an obsolete Breaks.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 26 May 2022 01:02:16 +0200

btrfs-progs (5.17-1) unstable; urgency=medium

  * New upstream release.
  * Switch from asciidoc[tor] to sphinx.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 May 2022 16:07:45 +0200
