=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (= 13),
-               e2fslibs-dev,
+               libext2fs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
@@ -13,13 +13,13 @@
                uuid-dev,
                udev,
                zlib1g-dev,
-               asciidoctor,
+               sphinx,
                xmlto,
                bash-completion,
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
@@ -29,7 +29,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libgcc-s1 (<< 10-20200211), initramfs-tools (<< 0.137~)
+Breaks: initramfs-tools (<< 0.137~)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a copy on write filesystem for Linux aimed at implementing
