## btrfs-progs 6.1

=== debian/changelog ===
btrfs-progs (6.1-1.1~siduction.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix https://github.com/Antynea/grub-btrfs/issues/254

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 27 Dec 2022 22:48:37 +0100

btrfs-progs (6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 23 Dec 2022 00:53:24 +0100

btrfs-progs (6.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 26 Nov 2022 03:44:06 +0100

btrfs-progs (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Spaces→tabs [Jelmer Vernooĳ].

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 08 Nov 2022 18:09:00 +0100

btrfs-progs (6.0-1) unstable; urgency=medium

  * New upstream release.
  * Trim debian/copyright wrt files removed upstream.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 11 Oct 2022 12:24:00 +0200

btrfs-progs (5.19.1-1) unstable; urgency=medium

  * New upstream release (closes: #1020233).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Sep 2022 21:03:02 +0200
