## btrfs-progs 6.2

=== debian/changelog ===
btrfs-progs (6.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 30 Apr 2023 07:25:34 -0400

btrfs-progs (6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 01 Mar 2023 00:17:49 +0100

btrfs-progs (6.1.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 23 Feb 2023 20:01:21 -0500

btrfs-progs (6.1.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 05 Feb 2023 11:16:44 +0100

btrfs-progs (6.1.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 31 Jan 2023 19:54:20 -0500

btrfs-progs (6.0.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 28 Dec 2022 14:05:49 -0500
