## btrfs-progs 6.3.2

=== debian/changelog ===
btrfs-progs (6.3.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Jun 2023 22:12:17 +0200

btrfs-progs (6.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop pre-buster breaks.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 11 Jun 2023 21:10:24 +0200
