## btrfs-progs 6.6.3

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (= 13),
-               libext2fs-dev,
-               pkg-config,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
+               dh-python,
                libacl1-dev,
                libblkid-dev,
+               libext2fs-dev,
                liblzo2-dev,
+#               libreiserfscore-dev,
                libudev-dev,
                libzstd-dev,
+               pkg-config,
+               python3-dev,
+               python3-setuptools,
+               python3-sphinx-rtd-theme,
+               sphinx,
+               udev,
                uuid-dev,
-               udev,
-               zlib1g-dev,
-               sphinx,
                xmlto,
-               bash-completion,
-	       python3-dev,
-	       python3-setuptools,
-	       dh-python,
+               zlib1g-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
-Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
-Vcs-Git: https://salsa.debian.org/debian/btrfs-progs.git -b debian
+Vcs-Browser: https://git.sr.ht/~kilobyte/btrfs-progs
+Vcs-Git: https://git.sr.ht/~kilobyte/btrfs-progs -b debian
 
 Package: btrfs-progs
 Architecture: linux-any
@@ -36,7 +39,7 @@
  administration.
  .
  This package contains utilities (mkfs, fsck) used to work with btrfs
- and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
+ and an utility (btrfs-convert) to make a btrfs filesystem from an ext fs.
 
 Package: libbtrfs0
 Architecture: linux-any
@@ -54,7 +57,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
+Depends: libbtrfs0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -78,7 +81,9 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
+Depends: libbtrfsutil1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -90,9 +95,9 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: python
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
