=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,11 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-include /usr/share/dpkg/architecture.mk
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-  CC := $(DEB_HOST_GNU_TYPE)-gcc
-else
-  CC := gcc
-endif
+include /usr/share/dpkg/default.mk
 
 SHELL := sh -e
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS := $(patsubst -O2,-Os,$(CFLAGS) $(CPPFLAGS))
 
 %:
 	dh ${@} --with bash-completion,python3
@@ -42,6 +35,7 @@
 override_dh_auto_test:
 
 override_dh_install:
+	UDEVDIR=`pkg-config udev --variable=udevdir` && dh_install -p btrfs-progs --autodest $${UDEVDIR#/}
 	dh_install
 	dh_missing --list-missing
 
@@ -49,3 +43,8 @@
 	if test -f Makefile.inc; then \
 		dh_auto_clean; \
 	fi
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
